Name:		focuswriter
Version:	1.8.9
Release:	%mkrel 1

Summary:	A full-screen, distraction-free writing program
Group:		Office/Word processor
License:	GPLv3+
URL:		https://gottcode.org/focuswriter
Source0:	https://gottcode.org/focuswriter/%{name}-%{version}.tar.bz2

BuildRequires:	cmake
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	pkgconfig(zlib)

%description
A full-screen, distraction-free writing program.
You can customize your environment by changing the font, colors, and
background image to add ambiance as you type. FocusWriter features
an on-the-fly updating word count, optional auto-save, optional daily
goals, and an interface that hides away to allow you to focus more
clearly; additionally, when you open the program your current
work-in-progress will automatically load and position you at the end
of your document, so that you can immediately jump back in.

%prep
%setup -q

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

%files
%doc COPYING ChangeLog README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Nov 21 2024 daviddavid <daviddavid> 1.8.9-1.mga10
+ Revision: 2117980
- new version: 1.8.9

* Sun Jun 16 2024 daviddavid <daviddavid> 1.8.8-1.mga10
+ Revision: 2074467
- new version: 1.8.8

* Sun Jan 21 2024 daviddavid <daviddavid> 1.8.6-1.mga10
+ Revision: 2033227
- new version: 1.8.6

* Wed Sep 06 2023 daviddavid <daviddavid> 1.8.5-1.mga10
+ Revision: 1984594
- new version: 1.8.5

* Thu Jan 12 2023 daviddavid <daviddavid> 1.8.4-1.mga9
+ Revision: 1932448
- new version: 1.8.4

* Sun Oct 02 2022 squidf <squidf> 1.8.3-1.mga9
+ Revision: 1893801
- New version: 1.8.3
- switch to Qt6 and cmake build system

* Wed Apr 06 2022 umeabot <umeabot> 1.7.6-3.mga9
+ Revision: 1845817
- Mageia 9 Mass Rebuild

* Wed Dec 16 2020 umeabot <umeabot> 1.7.6-2.mga8
+ Revision: 1658449
- Rebuild for new Qt5

* Tue Apr 21 2020 daviddavid <daviddavid> 1.7.6-1.mga8
+ Revision: 1570395
- new version: 1.7.6

* Mon Feb 24 2020 daviddavid <daviddavid> 1.7.5-1.mga8
+ Revision: 1550033
- new version: 1.7.5

* Wed Feb 19 2020 umeabot <umeabot> 1.7.4-2.mga8
+ Revision: 1543929
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 daviddavid <daviddavid> 1.7.4-1.mga8
+ Revision: 1482432
- new version: 1.7.4

* Mon Aug 19 2019 daviddavid <daviddavid> 1.7.3-1.mga8
+ Revision: 1430148
- new version: 1.7.3

* Sat Mar 30 2019 umeabot <umeabot> 1.7.2-2.mga7
+ Revision: 1381772
- Qt5 Rebuild

* Sat Mar 09 2019 daviddavid <daviddavid> 1.7.2-1.mga7
+ Revision: 1373038
- new version: 1.7.2

* Mon Dec 17 2018 daviddavid <daviddavid> 1.7.1-1.mga7
+ Revision: 1342395
- new version: 1.7.1

* Wed Dec 12 2018 daviddavid <daviddavid> 1.7.0-1.mga7
+ Revision: 1340389
- new version: 1.7.0

* Fri Nov 23 2018 daviddavid <daviddavid> 1.6.16-2.mga7
+ Revision: 1333471
- rebuild for new hunspell 1.7.0

* Wed Sep 05 2018 daviddavid <daviddavid> 1.6.16-1.mga7
+ Revision: 1257301
- new version: 1.6.16

* Sat Jul 21 2018 daviddavid <daviddavid> 1.6.15-1.mga7
+ Revision: 1244534
- new version: 1.6.15

* Sun Jul 08 2018 daviddavid <daviddavid> 1.6.14-1.mga7
+ Revision: 1242574
- new version: 1.6.14

* Wed May 30 2018 daviddavid <daviddavid> 1.6.13-1.mga7
+ Revision: 1233027
- new version: 1.6.13

* Mon Apr 30 2018 daviddavid <daviddavid> 1.6.12-1.mga7
+ Revision: 1223865
- new version: 1.6.12

* Sat Dec 09 2017 vaci0 <vaci0> 1.6.7-1.mga7
+ Revision: 1181759
- Update to version 1.6.7

* Sun Aug 06 2017 daviddavid <daviddavid> 1.6.5-2.mga7
+ Revision: 1137575
- rebuild for new libhunspell 1.6

* Sat Jun 03 2017 akien <akien> 1.6.5-1.mga6
+ Revision: 1105916
- Version 1.6.5

* Thu Mar 30 2017 vaci0 <vaci0> 1.6.4-1.mga6
+ Revision: 1095284
- Update to new version 1.6.4

* Sun Jan 01 2017 vaci0 <vaci0> 1.6.3-1.mga6
+ Revision: 1079246
- Update to new version 1.6.3

* Sat Nov 12 2016 akien <akien> 1.6.2-1.mga6
+ Revision: 1066845
- BR qttools5 for lrelease
- Version 1.6.2

* Fri Sep 23 2016 vaci0 <vaci0> 1.6.1-1.mga6
+ Revision: 1055561
-Update new version 1.6.1

* Thu Apr 21 2016 tv <tv> 1.5.5-2.mga6
+ Revision: 1004207
- rebuid for libhunspell 1.4

* Tue Jan 12 2016 akien <akien> 1.5.5-1.mga6
+ Revision: 922150
- Version 1.5.5
- Build with Qt 5

* Wed Oct 15 2014 umeabot <umeabot> 1.5.3-3.mga5
+ Revision: 746535
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.3-2.mga5
+ Revision: 679251
- Mageia 5 Mass Rebuild

* Fri Aug 29 2014 vaci0 <vaci0> 1.5.3-1.mga5
+ Revision: 669276
- Update new version 1.5.3

* Wed Aug 06 2014 vaci0 <vaci0> 1.5.2-1.mga5
+ Revision: 660247
- Update new version 1.5.2

* Wed Jun 25 2014 vaci0 <vaci0> 1.5.1-1.mga5
+ Revision: 639691
- Add patch to fix .desktop file
- Add patch to fix .desktop file
- new version 1.5.1

* Wed Apr 16 2014 vaci0 <vaci0> 1.4.6-1.mga5
+ Revision: 615305
- Update to new version 1.4.6

* Sat Mar 29 2014 vaci0 <vaci0> 1.4.5-1.mga5
+ Revision: 609273
-Update to new version 1.4.5

* Sat Oct 19 2013 umeabot <umeabot> 1.4.4-2.mga4
+ Revision: 528894
- Mageia 4 Mass Rebuild

* Fri Jun 28 2013 dams <dams> 1.4.4-1.mga4
+ Revision: 448095
- new version 1.4.4

* Thu May 30 2013 dams <dams> 1.4.3-1.mga4
+ Revision: 432947
- new version 1.4.3

* Fri Jan 11 2013 umeabot <umeabot> 1.4.1-2.mga3
+ Revision: 350615
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 vaci0 <vaci0> 1.4.1-1.mga3
+ Revision: 338332
- Updated to version 1.4.1

* Mon Oct 22 2012 dams <dams> 1.4.0-1.mga3
+ Revision: 309258
- udpate %%group
- new version 1.4.0

* Sat Sep 08 2012 vaci0 <vaci0> 1.3.90-1.mga3
+ Revision: 289690
- Updated to version 1.3.90

* Wed Aug 15 2012 vaci0 <vaci0> 1.3.80-1.mga3
+ Revision: 281443
- Added BuildRequires enchant-devel
-Update to new version 1.3.80

* Fri Jul 27 2012 vaci0 <vaci0> 1.3.6-1.mga3
+ Revision: 274774
- imported package focuswriter

